# 62. Мутация: Споделяне на стопанства

Пакетно споделяне на стопанства с потребители в рамките на "Организация" или за външни потребители. Има два случая за приложението на мутацията. Първият случай е пакетно споделяне на "Стопанство" по списък с имейли.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    датаНаСъздаване
    updatedDate
    email
  }
}

```

{% endcode %}

А вторият случай е задаване на флага ‘allFarms=true’ за списъка с "Потребители" в "Организацията", което означава, че всички нови стопанства в рамките на "Организацията" ще бъдат достъпни за тези "Потребители".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    датаНаСъздаване
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/62.-mutaciya-spodelyane-na-stopanstva.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
